<?php

/**
 * Provides an access point for Config settings 
 * belonging to the "exim" section
 * 
 * @category   Atmail
 * @package    Atmail_Config
 * @subpackage Atmail_Config_Exim
 * @author     Brad Kowalczyk <brad@staff.atmail.com>
 */
 
class Atmail_Config_Exim extends Atmail_Config_Abstract
{
	const section = Atmail_Enum::CONFIG_SECTION_EXIM;
	
	public static function get($keyName)
	{
		return parent::get(self::section, $keyName);
	}
	
	/**
	 * Magic method to allow requesting of config settings
	 * using the setting name as the method name.
	 * 
	 * e.g.
	 * 
	 * Atmail_Config_Folders::inbox();
	 * 
	 * would return the inbox setting from the folders section
	 * 
	 */
	public static function __callStatic($name, $args)
	{
		return parent::get(self::section, $name); 
	}
	
}
